Page MenuHomePhabricator

[Task] Enable start/stop using keyboard shortcuts (Wikispeech)
Closed, ResolvedPublic0.5 Story Points

Description

Start and stop functions for recital of the whole text from the start of the article with a keyboard shortcut. (tab, return, space)
License: MIT/GPL
Existing: Partially, https://github.com/westonruter/html5-audio-read-along
To do: Define keyboard shortcuts. User settings.

Identified as a component during the pilot study.

Details

Related Gerrit Patches:
mediawiki/extensions/Wikispeech : masterStart and stop recitation with keyboard

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 26 2016, 12:23 PM
Jopparn renamed this task from [Task] Enable start/stop using keyboard shortcuts to [Task] Enable start/stop using keyboard shortcuts (Wikispeech) .Apr 28 2016, 6:45 AM
Sebastian_Berlin-WMSE edited projects, added Wikispeech-WMSE; removed Wikispeech.
Lokal_Profil set the point value for this task to 1.Jul 4 2016, 9:03 AM

Change 300247 had a related patch set uploaded (by Sebastian Berlin (WMSE)):
Start and stop recitation with keyboard

https://gerrit.wikimedia.org/r/300247

Worked on in: 2016-07-13:

  • Finish implementing and clean up code
  • Code review

To do in: Sprint 2016-08-10:

  • minor polish
  • unit tests for JS?

Worked on in: 2016-08-10:

  • nothing (depends on changes which were done in T133672)

To do in: Sprint 2016-08-24:

  • Implement initial review comments
  • Review
Lokal_Profil changed the point value for this task from 1 to 0.5.

Worked on in Wikispeech (Sprint 2016-09-07):

  • Rebased on hevily modified outcome from T121208
  • Implemented comments from initial review

To do in Wikispeech (Sprint 2016-09-21):

  • Review

Change 300247 merged by jenkins-bot:
Start and stop recitation with keyboard

https://gerrit.wikimedia.org/r/300247